import { connect } from 'react-redux'
import * as at from '../actions/actionTypes'
import InputPanel from '../components/InputPanel'
import { mkAddUrl, mkDeleteRoute } from '../actions'

const mapStateToProps = state => {
  return { routes: state.routes }
}

const mapDispatchToProps = dispatch => ({
  onAdd: (url) => dispatch(mkAddUrl(url)),
  onDelete: (index) => dispatch(mkDeleteRoute(index))
})

export default connect(mapStateToProps, mapDispatchToProps)(InputPanel)
